Subject: bug#25057: Ediff 2.81.5 of July 4, 2013; control panel frame location and focus broken

From: [email-masked] (Charles A. Roelli)
Date: Thu, 16 Feb 2017 20:03:28 +0100

On Tue, Nov 29 2016 at 03:08:41 pm, aaron peterson wrote:

> Sorry about the platform.  So this is more likely to be a problem with
> window handling specific to the OS rather than ediff per se.  I don't
> have any experience with emacs development, but I'd be happy to do
>
> some more light-weight sleuthing such as:
>
> * provide more detail or debug info
> * try to repro against other versions of OS X (the bug was observed on
> Darwin 16.1.0, "macOS 10.12")
> * build and try fixes

I can also reproduce this on 10.6/Snow Leopard.  I use the following as
a workaround:

(setq ediff-window-setup-function 'ediff-setup-windows-plain)